<?php
/*
Plugin Name: Planeta WordPress RSS
Description: Od teraz nie przegapisz żadnego newsa z Planety WordPress - Agregatora informacji z blogów na temat WordPressa. <a href="http://planetawordpress.pl/">Odwiedź Planetę WordPress</a>.
Version: 1.0
Author: Mateusz Jaworowicz
Author URI: https://jaworowi.cz/?utm_source=jaworowi.cz&utm_medium=my_plugin&utm_campaign=planetaWPrss
*/

function planetaWPRSS() {
     $rss = fetch_feed( "http://feeds.feedburner.com/PolskaPlanetaWordpress" );
  
     if ( is_wp_error($rss) ) {
          if ( is_admin() || current_user_can('manage_options') ) {
               echo '<p>';
               printf(__('<strong>Błąd RSS</strong>: %s'), $rss->get_error_message());
               echo '</p>';
          }
     return;
}
  
if ( !$rss->get_item_quantity() ) {
     echo '<p>Brak Aktualizacji</p>';
     $rss->__destruct();
     unset($rss);
     return;
}
  
echo "<ul>\n";
  
if ( !isset($items) )
     $items = 5;
  
     foreach ( $rss->get_items(0, $items) as $item ) {
          $publisher = '';
          $site_link = '';
          $link = '';
          $link2 = '?utm_source=PlanetaWP&utm_medium=Wtyczka_jaworowi.cz&utm_campaign=WtyczkaPlanetaWP';       
          $content = '';
          $date = '';
          $link = esc_url( strip_tags( $item->get_link() ) );
          $title = esc_html( $item->get_title() );
          $content = $item->get_content();
          $content = wp_html_excerpt($content, 250) . ' ...';
  
         echo "<li><a class='rsswidget' target='_blank' href='$link$link2'>$title</a>\n<div class='rssSummary'>$content</div>\n";
}
  
echo "</ul>\n";
$rss->__destruct();
unset($rss);
}
 
function planetaWPfunkcja() {
     wp_add_dashboard_widget('Planeta_WP', 'Planeta WordPress', 'planetaWPRSS');
}
 
add_action('wp_dashboard_setup', 'planetaWPfunkcja');

?>